## watsup 7.1

=== Makefile ===
# watsup make file

# defaults for parameters that may be pre-defined
CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation

PKG_CONFIG ?= pkg-config

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/ 

LIBS = `pkg-config --libs gtk+-3.0` -lpthread -lclutter-gtk-1.0  \

watsup: watsup.o zfuncs.o
	$(CXX) $(LDFLAGS) -o watsup watsup.o zfuncs.o $(LIBS)    \

watsup.o: watsup.cc
	$(CXX) $(CFLAGS) -o watsup.o watsup.cc          \

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc                   \

# target install directories
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc/watsup
MANDIR = $(PREFIX)/share/man/man1
MENUDIR = $(PREFIX)/share/applications
SHAREDIR = $(PREFIX)/share/watsup
DATADIR = $(SHAREDIR)/data
IMAGEDIR = $(SHAREDIR)/images
ICONDIR = $(SHAREDIR)/icons

install: watsup uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(MENUDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(IMAGEDIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	cp -f     watsup $(DESTDIR)$(BINDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
	# man page
	gzip -fk -9 man/watsup.man
	mv -f man/watsup.man.gz $(DESTDIR)$(MANDIR)/watsup.1.gz
	# desktop file and icon
	cp -f watsup.desktop $(DESTDIR)$(MENUDIR)
	cp -f watsup.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/watsup
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/watsup.*
	rm -f  $(DESTDIR)$(MENUDIR)/watsup.*
	rm -f -R  $(DESTDIR)$(SHAREDIR)

clean: 
	rm -f  watsup
	rm -f  *.o

=== debian/changelog ===
watsup (7.1-0.1~mx21) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Jan 2023 14:47:01 -0800

=== debian/control ===
Source: watsup
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper-compat (= 12),
               libclutter-gtk-1.0-dev,
               pkg-config
Standards-Version: 4.5.0
Homepage: https://www.kornelix.net/watsup/watsup.html

Package: watsup
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight system resource monitor/manager
 Monitor system resources and the top processes using those resources. 
 .
 Resources monitored:
 - CPU, memory, file cache, soft/hard page faults, disk IO, network IO.
 .
 Shows topmost processes fitting within the window size.
 Optionally show processes matching given users, PIDs, or program names.
 Select and kill an errant process using the mouse (after confirmation).
 * Overall system and top process resources are shown on one page.
 * CPU, memory, disk I/O, network I/O, and page faults are monitored.
 * The highest ranked processes fitting in the window are shown.
 * Minimal jumping around between samples (easier to follow a process).
 * Process rank: weighted sum of recent CPU, hard page faults, disk I/O.
 * Filter processes by user, PID, or program name. Multiple entries OK.
 * Click on a process to kill the process (after confirmation).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://www.kornelix.net/downloads/downloads.html downloads/watsup-([\d.]+).tar.gz
